Index: palm/trunk/SOURCE/data_output_binary_module.f90
===================================================================
--- palm/trunk/SOURCE/data_output_binary_module.f90	(revision 4146)
+++ palm/trunk/SOURCE/data_output_binary_module.f90	(revision 4147)
@@ -397,49 +400,49 @@
 !> and save dimension values to be later written to file.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE binary_init_dimension( mode, file_id, dimension_id, variable_id, &
-              dimension_name, dimension_type, dimension_length, return_value )
-
-   CHARACTER(LEN=charlen), INTENT(IN) ::  dimension_name  !< name of dimension
-   CHARACTER(LEN=charlen), INTENT(IN) ::  dimension_type  !< data type of dimension
-   CHARACTER(LEN=charlen)             ::  output_string   !< output string
-   CHARACTER(LEN=*),       INTENT(IN) ::  mode            !< operation mode
-
-   CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_init_dimension'  !< name of this routine
-
-   INTEGER, INTENT(OUT) ::  dimension_id      !< dimension ID
-   INTEGER, INTENT(IN)  ::  dimension_length  !< length of dimension
-   INTEGER, INTENT(IN)  ::  file_id           !< file ID
-   INTEGER, INTENT(OUT) ::  return_value      !< return value
-   INTEGER, INTENT(OUT) ::  variable_id       !< variable ID
-
-
-   return_value = 0
-
-   CALL internal_message( 'debug', routine_name // ': init dimension ' // TRIM( dimension_name ) )
-
-   !-- Check mode (not required, added for compatibility reasons only)
-   IF ( TRIM( mode ) == mode_binary )  CONTINUE
-
-   !-- Assign dimension ID
-   dimension_id = files_highest_variable_id( file_id ) + 1
-   files_highest_variable_id( file_id ) = dimension_id
-
-   !-- Define dimension in file
-   output_string = 'dimension'
-   WRITE( file_id )  output_string
-   WRITE( file_id )  dimension_name
-   WRITE( file_id )  dimension_id
-   WRITE( file_id )  dimension_type
-   WRITE( file_id )  dimension_length
-
-   !-- Define variable associated with dimension
-   CALL binary_init_variable( mode, file_id, variable_id, dimension_name, dimension_type, &
-                              (/ dimension_id /), is_global=.TRUE., return_value=return_value )
-   IF ( return_value /= 0 )  THEN
-      CALL internal_message( 'error', routine_name // &
-                             ': init dimension "' // TRIM( dimension_name ) // '"' )
-   ENDIF
-
-END SUBROUTINE binary_init_dimension
+ SUBROUTINE binary_init_dimension( mode, file_id, dimension_id, variable_id, &
+               dimension_name, dimension_type, dimension_length, return_value )
+
+    CHARACTER(LEN=charlen), INTENT(IN) ::  dimension_name  !< name of dimension
+    CHARACTER(LEN=charlen), INTENT(IN) ::  dimension_type  !< data type of dimension
+    CHARACTER(LEN=charlen)             ::  output_string   !< output string
+    CHARACTER(LEN=*),       INTENT(IN) ::  mode            !< operation mode
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_init_dimension'  !< name of this routine
+
+    INTEGER, INTENT(OUT) ::  dimension_id      !< dimension ID
+    INTEGER, INTENT(IN)  ::  dimension_length  !< length of dimension
+    INTEGER, INTENT(IN)  ::  file_id           !< file ID
+    INTEGER, INTENT(OUT) ::  return_value      !< return value
+    INTEGER, INTENT(OUT) ::  variable_id       !< variable ID
+
+
+    return_value = 0
+
+    CALL internal_message( 'debug', routine_name // ': init dimension ' // TRIM( dimension_name ) )
+!
+!-- Check mode (not required, added for compatibility reasons only)
+    IF ( TRIM( mode ) == mode_binary )  CONTINUE
+!
+!-- Assign dimension ID
+    dimension_id = files_highest_variable_id( file_id ) + 1
+    files_highest_variable_id( file_id ) = dimension_id
+!
+!-- Define dimension in file
+    output_string = 'dimension'
+    WRITE( file_id )  output_string
+    WRITE( file_id )  dimension_name
+    WRITE( file_id )  dimension_id
+    WRITE( file_id )  dimension_type
+    WRITE( file_id )  dimension_length
+!
+!-- Define variable associated with dimension
+    CALL binary_init_variable( mode, file_id, variable_id, dimension_name, dimension_type, &
+                               (/ dimension_id /), is_global=.TRUE., return_value=return_value )
+    IF ( return_value /= 0 )  THEN
+       CALL internal_message( 'error', routine_name // &
+                              ': init dimension "' // TRIM( dimension_name ) // '"' )
+    ENDIF
+
+ END SUBROUTINE binary_init_dimension
 
 !--------------------------------------------------------------------------------------------------!
@@ -448,47 +451,47 @@
 !> Initialize variable. Write information of variable into file header.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE binary_init_variable( mode, file_id, variable_id, variable_name, variable_type, &
-                                 dimension_ids, is_global, return_value )
-
-   CHARACTER(LEN=charlen)             ::  output_string   !< output string
-   CHARACTER(LEN=charlen), INTENT(IN) ::  variable_name   !< name of variable
-   CHARACTER(LEN=charlen), INTENT(IN) ::  variable_type   !< data type of variable
-   CHARACTER(LEN=*),       INTENT(IN) ::  mode            !< operation mode
-
-   CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_init_variable'  !< name of this routine
-
-   INTEGER, INTENT(IN)  ::  file_id       !< file ID
-   INTEGER, INTENT(OUT) ::  variable_id   !< variable ID
-   INTEGER, INTENT(OUT) ::  return_value  !< return value
-
-   INTEGER, DIMENSION(:), INTENT(IN) ::  dimension_ids  !< list of dimension IDs used by variable
-
-   LOGICAL, INTENT(IN)  ::  is_global  !< true if variable is global (same on all PE)
-
-
-   return_value = 0
-
-   CALL internal_message( 'debug', routine_name // ': init variable ' // TRIM( variable_name ) )
-
-   !-- Check mode (not required, added for compatibility reasons only)
-   IF ( TRIM( mode ) == mode_binary )  CONTINUE
-
-   !-- Check if variable is global (not required, added for compatibility reasons only)
-   IF ( is_global )  CONTINUE
-
-   !-- Assign variable ID
-   variable_id = files_highest_variable_id( file_id ) + 1
-   files_highest_variable_id( file_id ) = variable_id
-
-   !-- Write variable information in file
-   output_string = 'variable'
-   WRITE( file_id )  output_string
-   WRITE( file_id )  variable_name
-   WRITE( file_id )  variable_id
-   WRITE( file_id )  variable_type
-   WRITE( file_id )  SIZE( dimension_ids )
-   WRITE( file_id )  dimension_ids
-
-END SUBROUTINE binary_init_variable
+ SUBROUTINE binary_init_variable( mode, file_id, variable_id, variable_name, variable_type, &
+                                  dimension_ids, is_global, return_value )
+
+    CHARACTER(LEN=charlen)             ::  output_string   !< output string
+    CHARACTER(LEN=charlen), INTENT(IN) ::  variable_name   !< name of variable
+    CHARACTER(LEN=charlen), INTENT(IN) ::  variable_type   !< data type of variable
+    CHARACTER(LEN=*),       INTENT(IN) ::  mode            !< operation mode
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_init_variable'  !< name of this routine
+
+    INTEGER, INTENT(IN)  ::  file_id       !< file ID
+    INTEGER, INTENT(OUT) ::  variable_id   !< variable ID
+    INTEGER, INTENT(OUT) ::  return_value  !< return value
+
+    INTEGER, DIMENSION(:), INTENT(IN) ::  dimension_ids  !< list of dimension IDs used by variable
+
+    LOGICAL, INTENT(IN)  ::  is_global  !< true if variable is global (same on all PE)
+
+
+    return_value = 0
+
+    CALL internal_message( 'debug', routine_name // ': init variable ' // TRIM( variable_name ) )
+!
+!-- Check mode (not required, added for compatibility reasons only)
+    IF ( TRIM( mode ) == mode_binary )  CONTINUE
+!
+!-- Check if variable is global (not required, added for compatibility reasons only)
+    IF ( is_global )  CONTINUE
+!
+!-- Assign variable ID
+    variable_id = files_highest_variable_id( file_id ) + 1
+    files_highest_variable_id( file_id ) = variable_id
+!
+!-- Write variable information in file
+    output_string = 'variable'
+    WRITE( file_id )  output_string
+    WRITE( file_id )  variable_name
+    WRITE( file_id )  variable_id
+    WRITE( file_id )  variable_type
+    WRITE( file_id )  SIZE( dimension_ids )
+    WRITE( file_id )  dimension_ids
+
+ END SUBROUTINE binary_init_variable
 
 !--------------------------------------------------------------------------------------------------!
@@ -497,24 +500,24 @@
 !> Leave file definition state.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE binary_stop_file_header_definition( file_id, return_value )
-
-   CHARACTER(LEN=charlen) ::  output_string  !< output string
-
-   CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_stop_file_header_definition'  !< name of this routine
-
-   INTEGER, INTENT(IN)  ::  file_id       !< file ID
-   INTEGER, INTENT(OUT) ::  return_value  !< return value
-
-
-   return_value = 0
-
-   WRITE( temp_string, * ) file_id
-   CALL internal_message( 'debug', routine_name // &
-                          ': finalize file definition (file_id=' // TRIM( temp_string ) // ')' )
-
-   output_string = '*** end file header ***'
-   WRITE( file_id )  output_string
-
-END SUBROUTINE binary_stop_file_header_definition
+ SUBROUTINE binary_stop_file_header_definition( file_id, return_value )
+
+    CHARACTER(LEN=charlen) ::  output_string  !< output string
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_stop_file_header_definition'  !< name of this routine
+
+    INTEGER, INTENT(IN)  ::  file_id       !< file ID
+    INTEGER, INTENT(OUT) ::  return_value  !< return value
+
+
+    return_value = 0
+
+    WRITE( temp_string, * ) file_id
+    CALL internal_message( 'debug', routine_name // &
+                           ': finalize file definition (file_id=' // TRIM( temp_string ) // ')' )
+
+    output_string = '*** end file header ***'
+    WRITE( file_id )  output_string
+
+ END SUBROUTINE binary_stop_file_header_definition
 
 !--------------------------------------------------------------------------------------------------!
